---
layout: book
section: documentation
category: TileMill
hidden: true
title: TileMill
permalink: /docs
---
<style type='text/css'>
.badge {
  display:block;
  width:150px;
  height:80px;
  margin:0px auto 20px;
  background:url(/images/help.png) 0px 0px no-repeat;
  }

.bigbox {
  display:block;
  float: left;
  padding: 9px;
  margin:0px 0px 20px 0px;
  border:1px solid #ddd;
  background:#f4f4f4;
  border-radius:5px;
  width: 660px;
}

.smallbox {
  text-overflow: clip;
  text-align: center;
  font-weight: bold;
  float: left;
  display:block;
  padding:84px 14px 14px 14px;
  height: 20px;
  width: 120px;
  margin:0px 20px 0px 0px;
  border:1px solid #ddd;
  background: white;
  border-radius:5px;
}

big {
  margin-bottom:10px;
}


#icon1 { background: white url('/tilemill/assets/pages/docs-intro.png') 48px 13px no-repeat;}
#icon1:hover {
  background: #d0e8f0 url('/tilemill/assets/pages/docs-intro.png') 48px 13px no-repeat; 
  border-color:#c0d8e0;
}

#icon2 { background: white url('/tilemill/assets/pages/docs-intro.png') -121px 13px no-repeat;}
#icon2:hover {
  background: #d0e8f0 url('/tilemill/assets/pages/docs-intro.png') -121px 13px no-repeat; 
  border-color:#c0d8e0;
}

#icon3 { background: white url('/tilemill/assets/pages/docs-intro.png') -291px 13px no-repeat;}
#icon3:hover {
  background: #d0e8f0 url('/tilemill/assets/pages/docs-intro.png') -291px 13px no-repeat;
  border-color:#c0d8e0;
}

#icon4 {
  background: white url('/tilemill/assets/pages/docs-intro.png') -462px 13px no-repeat;
  margin-right: 0px;
}
#icon4:hover {
  background:  #d0e8f0 url('/tilemill/assets/pages/docs-intro.png') -462px 13px no-repeat;
  margin-right: 0px;
  border-color:#c0d8e0;
}

</style>

<div class='bigbox'>
	<big>Start with the basics. &nbsp;&nbsp;<a href="{{site.baseurl}}/docs/crashcourse/introduction">Take the TileMill crash course</a>.</big>
    <a class='smallbox' id='icon1' href="{{site.baseurl}}/docs/crashcourse/point-data">Import data</a>
    <a class='smallbox' id='icon2' href="{{site.baseurl}}/docs/crashcourse/styling">Style your data</a>
    <a class='smallbox' id='icon3' href="{{site.baseurl}}/docs/crashcourse/tooltips">Add interactivity</a>
    <a class='smallbox' id='icon4' href="{{site.baseurl}}/docs/crashcourse/exporting">Export a map</a>
</div>
## Other featured guides

**[Preparing Data with Google Docs]({{site.baseurl}}/docs/guides/google-docs/)**  
Use Google Docs to aggregate, geocode, and publish your data.

**[Advanced map design]({{site.baseurl}}/docs/guides/advanced-map-design/)**  
Learn to style for zoom levels, add labels for your data, use images as markers, and more with these advanced techniques.

**[Adding MapBox Geodata]({{site.baseurl}}/docs/guides/add-geodata/)**  
Add common geographic data to your project from MapBox's online library.

</br>
[Visit the support forums](http://support.mapbox.com) if you have any questions or need additional help.
