---
layout: book
section: documentation
category: TileMill
tag: Crash&nbsp;course
title: "Overview"
permalink: /docs/crashcourse/introduction
nextup:
- "[TileMill and GIS](/tilemill/docs/crashcourse/tilemill-gis/)"
- "[Import data](/tilemill/docs/crashcourse/point-data) into a TileMill project."
---

<style type='text/css'>

.summary p {
  }

.summary .icon { 
  width: 60px;
  height: 60px;
  display: block;
  float: left;
  padding: 10px 10px 10px 0;
  }

#icon1 { background: white url('/tilemill/assets/pages/docs-intro.png') 0px 13px no-repeat;}
#icon2 { background: white url('/tilemill/assets/pages/docs-intro.png') -166px 13px no-repeat;}
#icon3 { background: white url('/tilemill/assets/pages/docs-intro.png') -336px 13px no-repeat;}
#icon4 { background: white url('/tilemill/assets/pages/docs-intro.png') -507px 13px no-repeat;}

</style>


## Step-by-step instructions for making maps

This crash course walks through how to design custom web maps in TileMill. It will help you quickly get familiar with the basics of map design with TileMill, from importing and styling your data to designing and sharing your map. 

<small class='note' markdown='1'>
<h3>Have you taken the tour?</h3>
[Take the MapBox tour](http://www.mapbox.com/tour) to see what you can do with the toolset.
</small>

This guide focuses on the core functions of TileMill and links to documentation throughout for more advanced and specific techniques in map design.[Start here](/tilemill/docs/crashcourse/tilemill-gis) for an overview of TileMill. If you have any questions along the way, [start a discussion with our support team](http://support.mapbox.com).

## What we'll cover

<div class='summary'>
	
  <p><span class='icon' id='icon1'> </span><strong><a href='/tilemill/docs/crashcourse/point-data'>Importing data</a></strong><br /> We walk through how to download data and get it into TileMill. To work with more complex data and datasets, check out the <a href="/tilemill/docs/manual/adding-layers/">Adding Layers documentation</a>.</p> 

  <p><span class='icon' id='icon2'> </span><strong><a href='/tilemill/docs/crashcourse/styling'>Styling data</a></strong><br /> Here we show the basics of using Carto - a CSS-like language - to style your data and make a truly custom map. For an a in-depth dive into how Carto works, check out the <a href="/tilemill/docs/manual/carto">Carto manual</a>.</p> 

  <p><span class='icon' id='icon3'> </span><strong><a href='/tilemill/docs/crashcourse/tooltips'>Adding tooltips and legends</a></strong><br /> Making your map interactive and adding a legend is critical to communicating your data. Here we show how to add tooltip interactivity and legends to maps. The <a href="/tilemill/docs/manual/project-settings">Project Settings</a> documentation offers more advanced details on this. </p> 

  <p><span class='icon' id='icon4'> </span><strong><a href='/tilemill/docs/crashcourse/exporting/'>Exporting your map</a></strong><br /> Maps made in TileMill can be shared quickly and easily in a number of formats. Here we show how to export an interactive map to the MBTiles format for uploading on the web. See our <a href="/tilemill/docs/manual/exporting/">Exporting docs</a> for an overview of all supported exporting formats.</p> 

</div>

{% include nextup.html %}
