---
layout: book
section: documentation
category: TileMill
tag: Guides
title: "Recommended data sources"
permalink: /docs/guides/recommended-sources
prereq:
- "[Installed](/tilemill/docs/install) TileMill on your computer."
- "Reviewed [Crash Course](/tilemill/docs/crashcourse/overview/)"
nextup:
- "[Using conditional styles](/tilemill/docs/crashcourse/conditional-styles/) to control the appearance of points based on data."
- "[Adding tooltips](/tilemill/docs/crashcourse/tooltips/) to your map."
- "[Exporting](/tilemill/docs/crashcourse/exporting/) your map."

---
{% include prereq.html %}

Looking for a place to start finding additional data? A variety of data sources and open data sites are below. 

## Worldwide data sets

- [CGIAR World Digital Elevation Model](http://www.cgiar-csi.org/data/elevation/item/45-srtm-90m-digital-elevation-database-v41) (available as an [EBS Snapshot](http://support.mapbox.com/kb/tilemill/cgiar-world-digital-elevation-model-ebs-snapshot))
- [Natural Earth](http://www.naturalearthdata.com/)
- [NOAA Global Shorelines](http://www.ngdc.noaa.gov/mgg/shorelines/gshhs.html)
- [OpenStreetMap extracts from CloudMade](http://downloads.cloudmade.com/)
- [GADM Global Administrative Areas](http://gadm.org/)

## National Governments & Agencies

- [US 2010 Census - TIGER Shapefiles](http://www.census.gov/geo/www/tiger/tgrshp2010/tgrshp2010.html)
- [US National Weather Service GeoData](http://www.nws.noaa.gov/geodata/)
- [Natural Resources Canada GeoGratis](http://www.geogratis.cgdi.gc.ca/)
- [Government of Canada Open Data Portal](http://www.data.gc.ca/default.asp?lang=En)

## Local & City Open Data Sites

- [Baltimore](http://data.baltimorecity.gov/browse?limitTo=blob&tags=shape)
- [Chicago](http://data.cityofchicago.org/)
- [District of Columbia](http://dcgis.dc.gov/)
- [Ottawa](http://www.ottawa.ca/online_services/opendata/index_en.html)
- [Paris](http://opendata.paris.fr/)
- [Toronto](http://toronto.ca/open)
- [Vancouver](http://data.vancouver.ca/)
- [Portland](http://civicapps.org/)

{% include nextup.html %}
