---
layout: book
section: documentation
category: TileMill
tag: Reference
title: Basics
permalink: /docs/manual/basics
---
## GIS

If you have never worked in GIS or cartography before, there a number of basics to go over before jumping into TileMill.

GIS stands for Geographic Information System and refers to any system dealing with the recording, analysis, or display of data that is related to a location. TileMill is focused on the ‘display’ part of that definition, but does provide some tools for basic analysis. Cartography is the practice of making maps.

## Map projections

**Projections** refer to the method used for representing a three-dimensional object like the Earth on a two-dimensional surface like a sheet of paper or a computer screen. While TileMill maps are always projected as ‘Web Mercator’ you will come across data sources that use [many different projections](http://en.wikipedia.org/wiki/Map_projection).

**Coordinate systems** provide ways of describing a specific location on the earth. For example, you can describe the location of Washington, DC with its latitude and longitude approximately `(38,-77)`. Another method of describing its location might be to provide the *number of meters to Washington, DC north and west from the Equator* - and some coordinate systems do exactly that.

The **[proj4](http://trac.osgeo.org/proj/) SRS string** (spatial referencing system) combines these two concepts and provides a way to describe the projection and coordinate system of a datasource at once. For example, the [WGS84](http://en.wikipedia.org/wiki/World_Geodetic_System) proj4 SRS looks like this:

    +proj=longlat +ellps=WGS84 +datum=WGS84 +no_defs

TileMill can generally autodetect the SRS of shapefiles and other datasources. You may need to provide an SRS string for some datasources if TileMill cannot autodetect the value.

## Zoom levels

Interactive, tiled maps are designed and rendered at a number of different scales. A zoom level is a predefined scale at which a map is rendered. OpenStreetMap, Google Maps, and most other online maps zoom levels are scaled such that the entire world fills a 256x256 pixel tile at zoom level 0, and doubles in width & height at each subsequent zoom level. 

For example: at zoom level 6 you get a full view of a medium-sized country.  At zoom level 11 you’re looking at a metropolitan-region-sized area. At Zoom level 16 you’re down to a neighborhood scale.

