---
layout: book
section: documentation
category: TileMill
tag: Reference
title: Exporting
permalink: /docs/manual/exporting
---
Once you've finished a map design, you can export your map for use in other applications. You can export the entire world or choose a smaller region by setting the bounding box. TileMill can export a variety of formats and each has different advantages.

## MBTiles

Use MBTiles to export your project as a pannable, zoomable map just like the preview you see in TileMill. You can upload MBTiles to [MapBox Hosting](http://mapbox.com/hosting/) directly from TileMill. You can also save MBTiles files and host them yourself with [TileStream](https://github.com/mapbox/tilestream) or transfer them to [MapBox for iPad](http://mapbox.com/ipad/) for offline access.

## PNG

Use PNG to export a static image of your map. This format is useful if you want to add a snapshot to a word processor.

## PDF

PDF provides a vector-based export of your map, which is useful if you're designing maps for printed material.

## SVG

SVG provides another vector-based option for exporting your map. PDF and SVG output should contain very similar content but SVG is often supported by drawing programs natively (does not require conversion upon import).

